> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get transaction history involving assets from a specific Cardano minting policy including transfers and mints.

# Transactions involving assets of policy



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /policy/{policy}/transactions
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /policy/{policy}/transactions:
    get:
      tags:
        - Asset Policy
      summary: Transactions involving assets of policy
      description: >-
        Returns transactions which involved (moved, minted) at least one asset
        of the specified policy, along with a list of all the assets of the
        policy that were involved.
      operationId: policy_txs
      parameters:
        - name: policy
          in: path
          description: Hex encoded policy ID
          required: true
          schema:
            type: string
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: order
          in: query
          description: The order in which the results are sorted (by point in chain)
          required: false
          schema:
            allOf:
              - type: string
                default: asc
                enum:
                  - asc
                  - desc
            nullable: true
        - name: from
          in: query
          description: >-
            Return only transactions in blocks minted on or after a specific
            slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: to
          in: query
          description: Return only transactions in blocks minted before a specific slot
          required: false
          schema:
            type: integer
            format: int64
            nullable: true
            minimum: 0
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Transactions involving assets of policy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPolicyTransaction'
              example:
                data:
                  - tx_hash: >-
                      09b2c948cf12de9eba590eb6af9ddc1e98b9342a79568b63fea06541cb3fecc1
                    slot: 49503576
                    assets:
                      - 61736d72
                      - '67657268617274'
                      - 647572616e676f
                      - 67756e6e657273
                  - tx_hash: >-
                      1c0375e0aa718c9a203d6fc35522f0de953fcccfe7a74b544a5a246f4d5103d4
                    slot: 49503576
                    assets:
                      - 6368696c6c696e67
                      - 6d6f6e6579706f6f6c
                  - tx_hash: >-
                      23243cf14d26e87a4ac6e70cc001d81587475759049c8dc8954629f665fe87c7
                    slot: 55718892
                    assets:
                      - 7468657265616c746f656b6e656573
                      - 646566692e646567656e
                      - 636f70796361742e626f7373636174
                      - 6a7562
                      - 632e6e2e662e742e
                      - 6e6f6f702e646f6767
                      - 77696e672e64616f
                      - 627261696e6c657373
                      - 6e66742e6c6f766572
                      - 6869742e6d792e70616e7473
                      - 626c7565746f756768677579
                      - 686974686f6c6573
                      - 6a61636f6269
                      - 736f6d656461792e73776170
                      - 6261642e636f6f6b
                      - 63617264616e6f2e646567656e
                  - tx_hash: >-
                      6029360e8236d06d81a31e9d8c6748ada97817f227204be092c93ad04fd04e4c
                    slot: 55718892
                    assets:
                      - 6972732e63727970746f
                      - '2e323233'
                      - '6972732e616461'
                  - tx_hash: >-
                      6383a77a538f598cd07d7a79dfef7589527833a433d3b8475665f4ec1ed4c19d
                    slot: 106047961
                    assets:
                      - 666169726661782d726f6265727473
                      - 6861646c65792e636f78
                      - 62616e6b6f66686177616969
                      - 63617264616e6f2e63686164
                      - 74686169726f79616c66616d696c79
                last_updated:
                  timestamp: '2023-10-18 07:30:52'
                  block_hash: >-
                    0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2
                  block_slot: 106047961
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedPolicyTransaction:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PolicyTransaction'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    PolicyTransaction:
      type: object
      description: A transaction which moves assets of a specific policy
      required:
        - tx_hash
        - slot
        - assets
      properties:
        assets:
          type: array
          items:
            type: string
          description: List of assets of the policy which were involved in the transaction
        slot:
          type: integer
          format: int64
          description: Absolute slot of block which contained the transaction
          minimum: 0
        tx_hash:
          type: string
          description: Transaction hash
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````